from ..xmlbuilder import XMLBuilder, XMLChildProperty, XMLProperty


class _DNSServer(XMLBuilder):
    XML_NAME = "server"

    address = XMLProperty(".")


class _DNSSearch(XMLBuilder):
    XML_NAME = "search"

    domain = XMLProperty(".")


class DomainVZDNS(XMLBuilder):
    """
    Class for generating <vz-dns> XML
    """

    XML_NAME = "vz-dns"

    hostname = XMLProperty("./hostname")
    servers = XMLChildProperty(_DNSServer)
    searches = XMLChildProperty(_DNSSearch)
